Subject: Re: [HOKEY] WGLC for draft-ietf-hokey-emsk-hierarchy

From: "Glen Zorn" <[email-masked]>
Date: Fri, 1 Feb 2008 21:47:15 -0800

Yoshihiro Ohba <> scribbled on Friday, February 01, 2008 3:17 AM:

> Hi Joe,
> 
> Thank you for the correction.  Here is my comments on Key Management
> Domain in -03: 
> 
> "
>    Key Management Domain
>       A key management domain is specified by the scope of a given
>       root key.  The scope is the collection of systems authorized to
>       access key material derived from that key.  Systems within a key
>       management domain may be authorized to (1) derive key materials,
>       (2) use key materials, or (3) distribute key materials to other
>       systems in the same domain.  A derived key's scope is
>       constrained to a subset of the scope of the key it is derived
>       from.  In this document the term domain refers to a key
>       management domain unless otherwise qualified.
> "
> 
> - The definition needs to clearly define which root key is being
> talked about.  

This is not a hokey-specific document; other application may not need
DSRKs (in fact, it's not altogether clear to me that hokey needs them...

...
_______________________________________________
HOKEY mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/hokey

---

From: Lakshminath Dondeti <[email-masked]>
Date: Sat, 02 Feb 2008 21:48:33 -0800

> DSRKs (in fact, it's not altogether clear to me that hokey needs them...

Indeed the case for DSRKs is much more clear when we take into account 
multiple usages within a domain.  The home domain sends the DSRK to a 
local/visited domain and that domain may derive as many keys as there 
are usages within that domain.

The understanding on EMSK-hierarchy was that we are going to try and 
future proof so we don't have divergence in eap key usage again.

best regards,
Lakshminath